UMAD_GET_CA_PORTGUIDS(3)

NAME
umad_get_ca_portguids - get the InfiniBand device ports GUIDs

SYNOPSIS
#include <infiniband/umad.h>

int umad_get_ca_portguids(char *ca_name, __be64 *portguids, int max);

DESCRIPTION
umad_get_ca_portguids() fills the portguids array with up to max port GUIDs belonging the specified IB device ca_name , or to the default IB device if ca_name is NULL. The argument portguids is an array of max uint64_t entries.

RETURN VALUE
On success, umad_get_ca_portguids() returns a non-negative value equal to the number of port GUIDs actually filled. Not all filled entries may be valid. Invalid entries will be 0. For example, on a CA node with only one port, this function returns a value of 2. In this case, the value at index 0 will be invalid as it is reserved for switches. On failure, a negative value is returned.

SEE ALSO
umad_get_cas_names(3)

AUTHORS

Hal Rosenstock <halr@voltaire.com>

Dotan Barak <dotanb@mellanox.co.il>